Other Classes: Class WMLImgElementImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml.dom
Class WMLImgElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.wml.dom.WMLElementImpl
                                    |
                                    +--org.apache.wml.dom.WMLImgElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.w3c.dom.TypeInfo, WMLElement, WMLImgElement

public class WMLImgElementImpl
extends WMLElementImpl
implements WMLImgElement

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: WMLImgElementImpl.java 447257 2006-09-18 05:40:07Z mrglavas $
Author:
  David Li
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`WMLImgElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHspace()`
`java.lang.String` | `getId()`
`java.lang.String` | `getLocalSrc()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getVspace()`
`java.lang.String` | `getWidth()`
`java.lang.String` | `getXmlLang()`
`void` | `setAlign(java.lang.String newValue)` 'align' specifies the alignment of the image within the text flow.
`void` | `setAlt(java.lang.String newValue)` 'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` | `setHeight(java.lang.String newValue)` 'height' specifies the height of an image.
`void` | `setHspace(java.lang.String newValue)` 'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
`void` | `setLocalSrc(java.lang.String newValue)` 'localsrc' specifies an alternative internal representation of the image.
`void` | `setSrc(java.lang.String newValue)` 'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setVspace(java.lang.String newValue)` 'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setWidth(java.lang.String newValue)` 'width' specifies the width of an image.
`void` | `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### WMLImgElementImpl

    public WMLImgElementImpl(WMLDocumentImpl owner,
                             java.lang.String tagName)

Method Detail

### setWidth

    public void setWidth(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'width' specifies the width of an image. (Section 11.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setWidth` in interface `WMLImgElement`

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in interface `WMLImgElement`

### setClassName

    public void setClassName(java.lang.String newValue)

  Description copied from interface: `WMLElement`
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setClassName` in interface `WMLElement`
  Overrides:
    `setClassName` in class `WMLElementImpl`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `WMLElement`
  Overrides:
    `getClassName` in class `WMLElementImpl`

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)
  Specified by:
    `setXmlLang` in interface `WMLImgElement`
  Overrides:
    `setXmlLang` in class `WMLElementImpl`

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    `getXmlLang` in interface `WMLImgElement`
  Overrides:
    `getXmlLang` in class `WMLElementImpl`

### setLocalSrc

    public void setLocalSrc(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'localsrc' specifies an alternative internal representation of the image. (Section 11.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setLocalSrc` in interface `WMLImgElement`

### getLocalSrc

    public java.lang.String getLocalSrc()

  Specified by:
    `getLocalSrc` in interface `WMLImgElement`

### setHeight

    public void setHeight(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'height' specifies the height of an image. (Section 11.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setHeight` in interface `WMLImgElement`

### getHeight

    public java.lang.String getHeight()

  Specified by:
    `getHeight` in interface `WMLImgElement`

### setAlign

    public void setAlign(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'align' specifies the alignment of the image within the text flow. (Section 11.8, WAP WML Version 16-Jun-1999)
  Specified by:
    `setAlign` in interface `WMLImgElement`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `WMLImgElement`

### setVspace

    public void setVspace(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setVspace` in interface `WMLImgElement`

### getVspace

    public java.lang.String getVspace()

  Specified by:
    `getVspace` in interface `WMLImgElement`

### setAlt

    public void setAlt(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setAlt` in interface `WMLImgElement`

### getAlt

    public java.lang.String getAlt()

  Specified by:
    `getAlt` in interface `WMLImgElement`

### setId

    public void setId(java.lang.String newValue)

  Description copied from interface: `WMLElement`
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setId` in interface `WMLElement`
  Overrides:
    `setId` in class `WMLElementImpl`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `WMLElement`
  Overrides:
    `getId` in class `WMLElementImpl`

### setHspace

    public void setHspace(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setHspace` in interface `WMLImgElement`

### getHspace

    public java.lang.String getHspace()

  Specified by:
    `getHspace` in interface `WMLImgElement`

### setSrc

    public void setSrc(java.lang.String newValue)

  Description copied from interface: `WMLImgElement`
  'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)
  Specified by:
    `setSrc` in interface `WMLImgElement`

### getSrc

    public java.lang.String getSrc()

  Specified by:
    `getSrc` in interface `WMLImgElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.